Update Application Note
curl --request PUT \
--url https://api.lendflow.com/api/notes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notable_type": "application",
"notable_id": "architecto",
"comment": "architecto",
"visibility_scope": 2,
"flow_id": "a4855dc5-0acb-33c3-b921-f4291f719ca0",
"stage": "c90237e9-ced5-3af6-88ea-84aeaa148878",
"call_disposition": "vm",
"visible_in_deal_list": true,
"initiator_type": "user",
"initiator_id": "architecto"
}
'import requests
url = "https://api.lendflow.com/api/notes/{id}"
payload = {
"notable_type": "application",
"notable_id": "architecto",
"comment": "architecto",
"visibility_scope": 2,
"flow_id": "a4855dc5-0acb-33c3-b921-f4291f719ca0",
"stage": "c90237e9-ced5-3af6-88ea-84aeaa148878",
"call_disposition": "vm",
"visible_in_deal_list": True,
"initiator_type": "user",
"initiator_id": "architecto"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
notable_type: 'application',
notable_id: 'architecto',
comment: 'architecto',
visibility_scope: 2,
flow_id: 'a4855dc5-0acb-33c3-b921-f4291f719ca0',
stage: 'c90237e9-ced5-3af6-88ea-84aeaa148878',
call_disposition: 'vm',
visible_in_deal_list: true,
initiator_type: 'user',
initiator_id: 'architecto'
})
};
fetch('https://api.lendflow.com/api/notes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": null,
"comment": "Animi quos velit et fugiat. Nihil accusantium harum mollitia modi deserunt. Ab provident perspiciatis quo omnis nostrum aut adipisci.",
"flow_id": 3,
"stage": 3,
"notable_type": "App\\Models\\Application",
"notable_id": "f3a1977e-1883-4a24-b593-874de46114c6",
"created_at": null,
"visibility_scope": 1,
"visible_in_deal_list": false,
"updated_at": null
}
}Workflow Management
Update Application Note
Updates the content of an existing note.
PUT
/
api
/
notes
/
{id}
Update Application Note
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the note.
Body
application/json
Available options:
business, application, call Example:
"application"
Must match an existing stored value.
Example:
"architecto"
Example:
"architecto"
Available options:
1, 2, 3, 5, 6 Example:
2
Must be a valid UUID.
Example:
"a4855dc5-0acb-33c3-b921-f4291f719ca0"
Must be a valid UUID.
Example:
"c90237e9-ced5-3af6-88ea-84aeaa148878"
Available options:
no_answer, vm, made_contact, spoke_with_dm, bad_number, discovery_call, offer_presentation Example:
"vm"
Example:
true
Available options:
user, agent Example:
"user"
Example:
"architecto"
Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?